Debian Bug report logs - #627406
duplicate deconfiguration in lb_binary if build-with-chroot is false

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Colin Watson <cjwatson@ubuntu.com>

Date: Fri, 20 May 2011 11:48:02 UTC

Severity: normal

Tags: patch

Found in version live-build/3.0~a17-1

Fixed in version live-build/3.0~a18-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#627406; Package live-build. (Fri, 20 May 2011 11:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@ubuntu.com>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 20 May 2011 11:48:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@ubuntu.com>
To: submit@bugs.debian.org
Subject: duplicate deconfiguration in lb_binary if build-with-chroot is false
Date: Fri, 20 May 2011 12:46:08 +0100
[Message part 1 (text/plain, inline)]
Package: live-build
Version: 3.0~a17-1
Severity: normal
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu ubuntu-patch oneiric

The conditions for installing and removing various things at the start
and end of lb_binary don't quite match up in the case where
build-with-chroot is false.  The effect of this in my build, which I
noticed when diffing the chroot left behind by livecd-rootfs with that
left behind by live-build, is that /sbin/initctl gets entirely removed
from the chroot.  It seems to me that the install/remove conditions
should match.  The attached patch fixes this.

(The builder that builds Ubuntu live filesystems always does so in a
current chroot matching the release it's building, so there's no point
in using another nested chroot in our case.)

Thanks,

-- 
Colin Watson                                       [cjwatson@ubuntu.com]
[0001-Fix-duplicate-deconfiguration-of-apt-upstart-and-sys.patch (text/x-diff, attachment)]

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Fri, 03 Jun 2011 11:21:31 GMT) Full text and rfc822 format available.

Notification sent to Colin Watson <cjwatson@ubuntu.com>:
Bug acknowledged by developer. (Fri, 03 Jun 2011 11:21:31 GMT) Full text and rfc822 format available.

Message #10 received at 627406-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 627406-close@bugs.debian.org
Subject: Bug#627406: fixed in live-build 3.0~a18-1
Date: Fri, 03 Jun 2011 11:20:22 +0000
Source: live-build
Source-Version: 3.0~a18-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive:

live-build-cgi_3.0~a18-1_all.deb
  to main/l/live-build/live-build-cgi_3.0~a18-1_all.deb
live-build_3.0~a18-1.debian.tar.gz
  to main/l/live-build/live-build_3.0~a18-1.debian.tar.gz
live-build_3.0~a18-1.dsc
  to main/l/live-build/live-build_3.0~a18-1.dsc
live-build_3.0~a18-1_all.deb
  to main/l/live-build/live-build_3.0~a18-1_all.deb
live-build_3.0~a18.orig.tar.gz
  to main/l/live-build/live-build_3.0~a18.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 627406@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 03 Jun 2011 11:59:30 +0200
Source: live-build
Binary: live-build live-build-cgi
Architecture: source all
Version: 3.0~a18-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Debian Live - System Build Scripts
 live-build-cgi - Debian Live - System Build Scripts (cgi frontend)
Closes: 603114 627183 627406 627695 627902 628897
Changes: 
 live-build (3.0~a18-1) unstable; urgency=low
 .
   [ Colin Watson ]
   * Fix duplicate deconfiguration of apt, upstart, and sysv-rc if build-
     with-chroot is false (Closes: #627406).
 .
   [ Daniel Baumann ]
   * Correcting accidentally unconditional default for linux-flavours in
     progress mode.
   * Restoring excludes functionality for mksquashfs. This was present
     some time ago but then got removed.
   * Moving 'default' hooks for minimal and stripped to example hooks,
     they will have to be enabled manually now (Closes: #627183).
 .
   [ Colin Watson ]
   * Fixing ext2/ext3 case in lb_binary_rootfs to work with --build-with-
     chroot false (Closes: #627902).
 .
   [ Daniel Baumann ]
   * Removing accidentally twice included English files when installing
     manpages (Closes: #628897).
   * Removing unused and not really usefull bootstrap-script option
     (Closes: #603114).
   * Correcting wrong task defaults.
   * Updating grub paths for d-i files (Closes: #627695).
Checksums-Sha1: 
 4d20b3b826ee9a77d0205c3c53cbfdc66b220e98 1282 live-build_3.0~a18-1.dsc
 809da37602a48b1248e987610d3bf0ed047f2ca3 1927410 live-build_3.0~a18.orig.tar.gz
 9ff01af47740331c89179ee7f75d37246831ddec 41162 live-build_3.0~a18-1.debian.tar.gz
 7fc7b29f3657ce0cfe7134a4f39ccaf98ac0d531 1132416 live-build_3.0~a18-1_all.deb
 36ac492a7e07de05b4a5ad756af9752184c19da9 57498 live-build-cgi_3.0~a18-1_all.deb
Checksums-Sha256: 
 e382617101c0cf315844353a848f0f1e5529cfcd46a4c2b6f164d9b1a2dadc41 1282 live-build_3.0~a18-1.dsc
 bebc6c07efb4cb1691d651e8e6efcb3eb2103d7f0ac1d79b68d18a3fb873cb98 1927410 live-build_3.0~a18.orig.tar.gz
 b0f9247d834dbc2e995026a6ec4c864c60828ba19dd43fc409fd96eaa00db39e 41162 live-build_3.0~a18-1.debian.tar.gz
 feff5db7515a313f8ead84c00c31d50a46dec1e56de8c3466d28a08c08834321 1132416 live-build_3.0~a18-1_all.deb
 c0a3a0dda86523278ef65877bece7b10dc426246063a5e26521f38b1992377e2 57498 live-build-cgi_3.0~a18-1_all.deb
Files: 
 ec19ee1ea3532925f60a0f2c507cb931 1282 misc optional live-build_3.0~a18-1.dsc
 cc646d35211a2440ea5a1df7fce1bd5c 1927410 misc optional live-build_3.0~a18.orig.tar.gz
 07f6648f7e5664d70791939d240455fe 41162 misc optional live-build_3.0~a18-1.debian.tar.gz
 2fd4299735b42f00c3075a1ee4aa6f9d 1132416 misc optional live-build_3.0~a18-1_all.deb
 436e50f4235c52950201f0a0a93fb4d1 57498 misc optional live-build-cgi_3.0~a18-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk3osgkACgkQ+C5cwEsrK56myACfW1aEeSgco8ATnXMybenzpXtH
VNYAniGzwaxqgEMCu4MJ4DBXvBP0tOLX
=UbSX
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 02 Jul 2011 07:33:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:42:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.